=== debian/changelog ===
kdebase-cvs (4:2.0-20000314-1.0) experimental; urgency=low
 
  * New upstream CVS fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 14 Mar 2000 22:30:00 -0700

kdebase-cvs (4:2.0-20000306-1.1) experimental; urgency=low
 
  * New upstream CVS fixes
  * More shlibs fixes
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 06 Mar 2000 22:30:00 -0700

kdebase-cvs (4:2.0-20000302-1.0) experimental; urgency=low
 
  * New upstream CVS fixes
  * Migrating chooser over to kdm-cvs package
  * Updating kdm config files to match current versions of xdm
  * Fixing kdm init.d scripts to handle now missing parser script
  * Fixing kicker applet issues (required -dev to be installed to work)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 02 Mar 2000 22:00:00 -0700

kdebase-cvs (4:2.0-20000229-1.0) experimental; urgency=low

  * New upstream CVS fixes 
  * Adding in build-depends

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 29 Feb 2000 22:00:00 -0700

kdebase-cvs (4:2.0-20000223-1.0) experimental; urgency=low

  * New upstream CVS fixes
  * Fixing pathing for kde help files
  * Adding in md5 options to pam.d file for kdm

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 23 Feb 2000 22:00:36 -0700

kdebase-cvs (4:2.0-19991130-1.0) experimental; urgency=low

  * New upstream CVS fixes
  * Removing old update-window-managers piece in leu of new udpate-alternatives
  * Adding missing dependencies - grep, sed

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 30 Nov 1999 00:30:36 -0400

kdebase-cvs (4:2.0-19991128-1.0) experimental; urgency=low

  * New upstream CVS fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 28 Nov 1999 03:30:36 -0400

kdebase-cvs (4:2.0-19991020-1.0) experimental; urgency=low

  * New upstream CVS fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 20 Oct 1999 08:30:36 -0400

kdebase-cvs (4:2.0-19991001-0.1) experimental; urgency=low

  * new upstream version

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 01 Oct 1999 14:30:36 -0400

kdebase-cvs (4:2.0-19990912-1.0) experimental; urgency=low

  * new upstream version
  * Cleaning up debian subtree: removing old window-managers file
  * Finishing migration to /usr/share/doc

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 12 Sep 1999 15:00:36 -0400

kdebase-cvs (4:2.0-19990903-1.0) experimental; urgency=low

  * new upstream version

 -- Stephan Kulow <coolo@kde.org>  Fri,  3 Sep 1999 21:51:36 +0200

kdebase-cvs (4:2.0-19990825-1.0) experimental; urgency=low

  * New upstream CVS changes
  * Fixes problem with /usr/bin/kde2 (missing a / )

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 25 Aug 1999 13:00:56 -0400

kdebase-cvs (4:2.0-19990825-1) experimental; urgency=low

  * New upstream CVS changes

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 25 Aug 1999 07:00:56 -0400

kdebase-cvs (4:2.0-19990823-1) experimental; urgency=low
 
  * New upstream CVS changes
  * Fixes bug with init.d script for kdm2

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 23 Aug 1999 07:00:56 -0400
                                                        

kdebase-cvs (4:2.0-19990820-1.1) experimental; urgency=low

  * several small package fixes mainly with pathing

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 21 Aug 1999 00:30:56 -0400

kdebase-cvs (4:2.0-19990820-1) experimental; urgency=low

  * new CVS version

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 20 Aug 1999 13:30:56 -0400

kdebase-cvs (4:2.0-19990626-2) experimental; urgency=low

  * new version

 -- Stephan Kulow <coolo@kde.org>  Sat, 26 Jun 1999 22:37:56 +0200

kdebase-cvs (4:2.0-19990626-1) experimental; urgency=low

  * New upstream CVS version
  * Brought in sync with -stable tree
  * Adding in -include statements into the ./configure piece

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 26 Jun 1999 06:00:29 -0400

kdebase-cvs (4:2.0-19990620-1) experimental; urgency=low

  * New upstream CVS version

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 20 Jun 1999 11:00:29 -0400

kdebase-cvs (4:2.0-19990601-1) experimental; urgency=low

  * New upstream CVS version

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 01 Jun 1999 01:00:29 -0400

kdebase-cvs (4:2.0-19990531-1) experimental; urgency=low 

  * Making kdm not require xdm
  * Fixing some pam stuff which includes a /etc/pam.d/kde file, making
    the pam name=kde so that it uses the /etc/pam.d/kde file instead of
    xdm, kdm, or whatever.
  * Fixing the linux fonts for konsole.
  * Fixing the /var/state/kdm issue

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 31 May 1999 19:30:29 -0400

kdebase-cvs (4:2.0-19990524-1) experimental; urgency=low

  * migrating back to / from /opt
  * working in new build changes to bring package more in line with
    current Debian dist

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 24 May 1999 07:00:29 -0400

kdebase-cvs (4:2.0-19990314-3) experimental; urgency=low

  * fixing some lintian problems

 -- Stephan Kulow <coolo@kde.org>  Mon, 15 Mar 1999 17:17:29 +0100

kdebase-cvs (4:2.0-19990314-2) experimental; urgency=low

  * taking out the undocumented call

 -- Stephan Kulow <coolo@kde.org>  Mon, 15 Mar 1999 16:42:47 +0100

kdebase-cvs (4:2.0-19990314-1) experimental; urgency=low

  * moving the -cvs from version to package name

 -- Stephan Kulow <coolo@kde.org>  Sun, 14 Mar 1999 21:01:10 +0100

kdebase-cvs (4:2.0-19990314-cvs-1) experimental; urgency=low

  * using newest kdelibs

 -- Stephan Kulow <coolo@kde.org>  Sun, 14 Mar 1999 00:16:36 +0100

kdebase (4:2.0-19990309-1) experimental; urgency=low

  * new upstream version with Qt 2.0

 -- Stephan Kulow <coolo@kde.org>  Tue,  9 Mar 1999 23:56:08 +0100

kdebase (4:1.1-19990306-1) unstable; urgency=low

  * new upstream version out of CVS (many translation updates and some
    security fixes

 -- Stephan Kulow <coolo@kde.org>  Sat,  6 Mar 1999 18:03:04 +0100

kdebase (4:1.1-19990217-1) unstable; urgency=low

  * new upstream version

 -- Stephan Kulow <coolo@kde.org>  Wed, 17 Feb 1999 19:09:41 +0100


