=== debian/control ===
Source: kdebase-cvs
Build-Depends: autoconf, debhelper, sed, libpam0g-dev, kdelibs3-dev-cvs, xlib6g-dev, libpng2-dev, xpm4g-dev, libqt2.1-dev
Section: x11
Priority: optional
Maintainer: Stephan Kulow <coolo@kde.org>
Standards-Version: 3.1.1

Package: kdebase-cvs
Architecture: any
Section: x11
Priority: optional
Replaces: kdebase
Depends: menu (>=1.5-5), ${shlibs:Depends}, grep, sed, debianutils (>= 1.6), xbase-clients, xfree86-common
Suggests: kdewallpapers, kdm, kdeadmin, kdegraphics, kdemultimedia, kdenetwork, kdeutils, korganizer, kdebase-doc, kde-i18n
Conflicts: kdebase
Provides: kdebase
Description: KDE core applications
 This is a suite of all kde core applications :
 file manager kfm, window manager kwm, desktop manager kdm
 and others.

Package: kdewallpapers-cvs
Architecture: all
Section: x11
Replaces: kdewallpapers
Suggests: kdebase
Conflicts: kdewallpapers
Provides: kdewallpapers
Description: Some wallpapers for KDE 
 The wallpapers that come with KDE, but can be used everywhere else
 as well

Package: kdm-cvs
Architecture: any
Section: x11
Replaces: kdm
Depends: ${shlibs:Depends}, grep, sed, libpam-modules
Suggests: kdebase, kdewallpapers
Conflicts: kdm
Provides: kdm
Description: The K Desktop Manager
 The K Desktop Manager

Package: kdebase-doc-cvs
Architecture: all
Section: doc
Replaces: kdebase-doc
Suggests: kdebase, kdm
Conflicts: kdebase-doc
Provides: kdebase-doc
Description: Documentation for Applications in kdebase
 All the documentation for all the Applications in kdebase

Package: kdebase-dev-cvs
Architecture: any
Section: devel
Replaces: kdebase-dev
Depends: kdebase-cvs (= ${Source-Version}), libqt2.1-dev, kdelibs3-dev-cvs
Conflicts: kdebase-dev
Provides: kdebase-dev
Description: KDE core applications (development files)
 KDE core application development files
 You need these files to compile kde applications.
