=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

BUILDDIR = ./build

build: $(BUILDDIR)/build-stamp

-include debian/debiandirs

debian/debiandirs: admin/debianrules
	perl -w admin/debianrules echodirs > debian/debiandirs

initd_kdm=kdm2
kdm_package=kdm-cvs

$(BUILDDIR)/build-stamp:
	dh_testdir
	if test ! -f configure; then \
	  $(MAKE) -f admin/Makefile.common ;\
	fi 
	test -d $(BUILDDIR) || mkdir $(BUILDDIR) ;\
	cd $(BUILDDIR) ;\
	CFLAGS="-O2 -DNDEBUG -DUTMP_SUPPORT -DUTMP='\"/var/run/utmp\"'" \
	  RUN_KAPPFINDER="no" \
	$$PWD/../configure $(configkde) --without-shadow --with-pam=kde \
	--with-xdmdir=/usr/X11R6/lib/X11/$(kdm_package) \
	--libdir=/$(kde_libdir) --includedir=/$(kde_includedir)

	make -C $(BUILDDIR)

	touch $(BUILDDIR)/build-stamp

clean: debian-clean
	dh_testdir
	-rm -f $(BUILDDIR)/build-stamp

debian-clean:
	dh_testdir
	if test -d CVS; then \
	  make -f admin/Makefile.common cvs-clean ;\
	else \
	  -rm -f debian/debiandirs ;\
	  -rm -rf $(BUILDDIR) ;\
	  dh_clean ;\
	fi

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	dh_testdir
	dh_testroot
	dh_clean 
	dh_installdirs
	make -C $(BUILDDIR) RUN_KAPPFINDER="no" DESTDIR=`pwd`/debian/tmp/ install 
	perl -w admin/debianrules kdebase-cvs 
	install -d debian/tmp/etc/init.d
	install -d debian/tmp/usr/bin
	dh_movefiles -pkdewallpapers-cvs $(kde_wallpaperdir)
	sed -e "s#@kde_bindir@#/$(kde_bindir)#; s#@initd_kdm@#$(initd_kdm)#; s#@kdm_package@#$(kdm_package)#" debian/kdm.init.d > debian/tmp/etc/init.d/$(initd_kdm)
#	echo -e "#! /bin/sh\n\nexport PATH=/$(kde_bindir):\$PATH\nxterm &\n/$(kde_bindir)/startkde\n" > debian/tmp/$(kde_bindir)/kde2 
	echo -e "#!/bin/sh\n\nxterm &\n/$(kde_bindir)/startkde\n" > debian/tmp/$(kde_bindir)/kde2
	rm -rf debian/tmp/$(kde_appsdir)/debian_menu 
	install -d debian/tmp/$(kde_appsdir)/debian_menu 
	cp debian/debian.desktop \
	      debian/tmp/$(kde_appsdir)/debian_menu/.directory
	cp debian/debian.desktop \
	      debian/tmp/$(kde_confdir)/

	install -d debian/tmp/etc/X11/$(kdm_package)
	install -d debian/tmp/usr/share/doc/$(kdm_package)
	install -d debian/tmp/usr/X11R6/lib/X11/$(kdm_package)
	install -d debian/tmp/usr/X11R6/lib/X11/$(kdm_package)/authdir
	install -d debian/tmp/usr/share/man/man5
	install -d debian/tmp/usr/share/man/man1
	install -d debian/tmp/var/lib/$(kdm_package)
	install -d debian/tmp/etc/pam.d
	cp debian/kdm.1.gz debian/tmp/usr/share/man/man1
	for file in debian/xdm/*; do \
	if test -f $$file; then cp $$file debian/tmp/etc/X11/$(kdm_package) ;\
	  fi; done
	for file in debian/tmp/etc/X11/$(kdm_package)/*; do \
	  sed -e "s#@kde_bindir@#$(kde_bindir)#; s#@kde_confdir@#$(kde_confdir)#; s#@initd_kdm@#$(initd_kdm)#; s#@kdm_package@#$(kdm_package)#" $$file > $$file.tmp ;\
	  if test -f $$file.tmp; then mv $$file.tmp $$file ;\
	  fi; done
	-rm -f debian/tmp/usr/X11R6/lib/X11/$(kdm_package)/*
	ln -s /etc/X11/$(kdm_package)/xdm-config debian/tmp/usr/X11R6/lib/X11/$(kdm_package)/
	cp debian/README.xdm debian/tmp/usr/share/doc/$(kdm_package)/README.Debian
	cp debian/kdm.options.5.gz debian/tmp/usr/share/man/man5
	cp debian/kdmrc debian/tmp/$(kde_confdir)
	chmod +x debian/tmp/etc/X11/$(kdm_package)/Xsetup* \
		debian/tmp/etc/X11/kdm-cvs/*Console 
	cp debian/kde.pamd debian/tmp/etc/pam.d/kde
	chmod 755 debian/tmp/etc/init.d/$(initd_kdm)
	chmod 755 debian/tmp/$(kde_bindir)/kde2
	dh_undocumented
	list=`cd debian/tmp && find . -name '*kdm*' -print | sed -e 's#^./##' | egrep -v '^etc/X11|^etc/init.d'` ;\
	dh_movefiles -p$(kdm_package) $$list etc/init.d etc/X11 etc/pam.d/kde $(kde_bindir)/chooser usr/share/man/man1/chooser*
	dh_movefiles -pkdebase-dev-cvs $(kde_includedir) $(kde_libdir)/lib*.so $(kde_libdir)/lib*.a
	-mv `find debian/kdebase-dev-cvs/$(kde_libdir) -type f -name "*.so"` debian/tmp/$(kde_libdir)/
	install -d debian/tmp/usr/X11R6/lib/X11/fonts/misc
	cp konsole/fonts/console*.pcf.gz debian/tmp/usr/X11R6/lib/X11/fonts/misc
	install -d debian/$(kdm_package)/var/lib/$(kdm_package)
	dh_installdocs
	dh_installmenu
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms

	chown root.shadow debian/tmp/$(kde_bindir)/kcheckpass
	chmod 2755 debian/tmp/$(kde_bindir)/kcheckpass 
	chmod 4755 debian/tmp/$(kde_bindir)/konsole_grantpty 
	chown root.root debian/$(kdm_package)/var/lib/$(kdm_package)

	dh_suidregister
	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol

	for i in `find debian/tmp/DEBIAN/ -type f -print`; do \
	sed -e "s#@kde_bindir@#$(kde_bindir)#; s#@kde_confdir@#$(kde_confdir)#; s#@initd_kdm@#$(initd_kdm)#; s#@kdm_package@#$(kdm_package)#; s#@kde_appsdir@#$(kde_appsdir)#; s#@kde_wallpaperdir@#$(kde_wallpaperdir)#" $$i > $$i.tmp ;\
	if test -f $$i.tmp; then mv $$i.tmp $$i;\
	fi; done
	for i in `find debian/$(kdm_package)/DEBIAN/ -type f -print`; do \
	sed -e "s#@kde_bindir@#$(kde_bindir)#; s#@kde_confdir@#$(kde_confdir)#; s#@initd_kdm@#$(initd_kdm)#; s#@kdm_package@#$(kdm_package)#; s#@kde_appsdir@#$(kde_appsdir)#; s#@kde_wallpaperdir@#$(kde_wallpaperdir)#" $$i > $$i.tmp ;\
	if test -f $$i.tmp; then mv $$i.tmp $$i;\
	fi; done

	cd debian/tmp && find ./$(kde_confdir) -type f -print | sed -e 's#^./#/#' > DEBIAN/conffiles
	chmod 644 debian/tmp/DEBIAN/conffiles debian/tmp/DEBIAN/sh*
	cd debian/$(kdm_package) ;\
	  find ./$(kde_confdir) -type f -print | sed -e 's#^./#/#' > DEBIAN/conffiles ;\
	  find ./etc/X11/$(kdm_package) -type f -print | sed -e 's#^./#/#' >> DEBIAN/conffiles ;\
	  echo -e "/etc/pam.d/kde\n/etc/init.d/$(initd_kdm)" >> DEBIAN/conffiles
	chmod 644 debian/$(kdm_package)/DEBIAN/conffiles
	sed -e "s#usr/share/apps#/usr/share/apps#" debian/tmp/usr/bin/kappfinder > debian/kappfinder.tmp
	cp debian/kappfinder.tmp debian/tmp/usr/bin/kappfinder
	dh_md5sums
	perl -w admin/debianrules update
	dh_builddeb

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean checkroot
